/*
 * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_SYS_CPC_ULTRA_H
#define	_SYS_CPC_ULTRA_H

#pragma ident	"@(#)cpc_ultra.h	1.4	06/03/06 SMI"

#include <sys/inttypes.h>

#ifdef __cplusplus
extern "C" {
#endif

#if defined(_KERNEL)

extern void ultra_setpcr(uint64_t);
extern uint64_t ultra_getpcr(void);
extern void ultra_setpic(uint64_t);
extern uint64_t ultra_getpic(void);
extern uint64_t ultra_gettick(void);

#endif	/* _KERNEL */

#ifdef __cplusplus
}
#endif

#endif	/* _SYS_CPC_ULTRA_H */
